﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<%@ Import Namespace="HLWebOKBQueryPlugin.Models" %>
<%@ Import Namespace="HLWebOKBQueryPlugin.OKBQueryService" %>
<%@ Import Namespace="HLWebOKBQueryPlugin.Helpers" %>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
   <% Html.RenderAction("Menu","Query"); %>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Results
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        Results</h2>
    <table class="hl-dataTable">
        <thead>
            <tr>
                <th>
                    Number of Run
                </th>
                <th>
                    Action
                </th>
            </tr>
        </thead>
        <tbody>
            <%
         
                QueryModel model = (QueryModel)Model;

                if (model != null && model.RunCollection != null)
                {
                    int i = 0;
                    foreach (RunCollectionData rc in model.RunCollection)
                    {
                        i++;
            %><tr>
                <td>
                    <%= i %>
                </td>
                <td>
                    <%: Html.ActionLink("details", "Details", "Query", rc, null)%>
                </td>
            </tr>
            <%
}
        }
            %>
        </tbody>
    </table>
</asp:Content>
